PathwayDescriptionObjectBuilder
Keywords: uk.ac.ic.doc.automed.p2p.tree.PathwayDescriptionObjectBuilder class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.tree
Class PathwayDescriptionObjectBuilder

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder
          uk.ac.ic.doc.automed.p2p.tree.PathwayDescriptionObjectBuilder

    public class PathwayDescriptionObjectBuilder

extends ObjectBuilder

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder
`modelMap, schemaMap, tree`

Constructor Summary
`PathwayDescriptionObjectBuilder(Root root)` Creates a new instance of SchemaObjectBuilder

Method Summary
`java.util.List` | `createAutoMedObjectsFromTree()` An overloading method for creating `Schema` object

Methods inherited from class uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder
`addDomainSpecToSchema, addObjectsToSchema, createAccessMethod, createModel, createPathway, createSchema, createSchema, getModelMap, getSchemaMap, initSchema, retractModel, retractSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathwayDescriptionObjectBuilder

    public PathwayDescriptionObjectBuilder(Root root)

  Creates a new instance of SchemaObjectBuilder

Method Detail

### createAutoMedObjectsFromTree

    public java.util.List createAutoMedObjectsFromTree()
                                                throws AutoMedTreeException

  An overloading method for creating `Schema` object

  Overrides:
    `createAutoMedObjectsFromTree` in class `ObjectBuilder`
  Throws:
    `AutoMedTreeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD